Home
Home
  1. Schedules
  • Welcome
    • About Ontime
    • Overview
    • Test and Learn Projects
  • Authentication
  • Idempotency
  • Availability Check
    • Light Availability Check
      POST
    • Full Availability Check
      POST
  • Payment Management
    • Mandates
      • Create a new mandate
      • Revoke an existing mandate
      • Get a Mandate
      • Get many Mandates
    • Payment Requests
      • Instruct a new payment request
      • Cancel an existing payment request
      • Get a Payment
      • Get many Payments
    • Schedules
      • Instruct a new schedule
        POST
      • Cancel an existing schedule
        DELETE
      • Get a schedule
        GET
      • Get many schedules
        GET
  • Payouts
    • Get a Payout
      GET
    • Get Available Payouts
      GET
  • Webhooks
    • Mandate Created/Updated
    • Payment Request Created/Updated
    • Payout Created
  • Schemas
    • Schemas
      • PaymentManagement
        • MandateLimitations
        • MandateRecordResponse
        • MandateDeleteResponse
        • GetMandatesPagedResponse
        • MandateStatus
        • MandateRecordRequest
        • PaymentCreateRequest
        • PaymentResponse
        • PaymentDeleteResponse
        • GetPaymentsPagedResponse
        • PaymentStatus
        • AuthorisationSource
        • ScheduleCreateRequest
        • InstalmentResponse
        • ScheduleStatus
        • ScheduleResponse
        • InstalmentRequest
        • ScheduleCancelResponse
        • ExpectedPayment
        • PaymentCancelResponse
      • Payout
        • PayoutResponse
        • PayoutPaymentRequestItem
        • ListPayoutsResponse
      • Deprecated
        • Invitation
        • Consumer
        • PaymentMethod
        • ProductPaymentStatus
        • ProductStatus
        • PaymentRequestData
      • Webhook
        • Webhook
        • WebhookPaymentRequestPayload
        • WebhookMandatePayload
        • WebhookPayoutPayload
      • Core
        • ConsumerData
        • ProblemDetails
        • Metadata
        • PagingResponse
      • Availability
        • FullAvailabilityCheckRequest
        • FullAvailabilityCheckResponse
        • AvailabilityStatus
        • LightAvailabilityCheckRequest
        • LightAvailabilityCheckResponse
  1. Schedules

Instruct a new schedule

Developing
Cloud Mock
https://mock.apidog.com/m1/828215-0-default
Cloud Mock
https://mock.apidog.com/m1/828215-0-default
POST
https://mock.apidog.com/m1/828215-0-default
schedules
OperationId:create_new_instalment_schedule
Create a new instalment schedule. This will create a new payment request for each one of the due dates in your instalments. Ontime will attempt to satisfy each payment request using the most appropriate pay date for the customer. It may take a few minutes after schedule creation for all payment request to be provisioned.

Request

Authorization
OAuth 2.0
Client Credentials
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Token URL: https://{domain}.auth.{region}.amazoncognito.com
Scopes:
schedules:write-Create and cancel payment schedules.
or
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://mock.apidog.com/m1/828215-0-defaultschedules' \
--header 'Idempotency-Key: {{$string.uuid}}' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "schedule_record": {
        "mandate_id": "ba299d08-fa56-460f-8323-12b6dc5fb10e",
        "total_amount": 15000,
        "currency": "GBP",
        "allow_post_due_date_deduction": false,
        "instalments": [
            {
                "amount": 7500,
                "due_date": "2026-07-30"
            },
            {
                "amount": 7500,
                "due_date": "2026-08-30"
            }
        ],
        "metadata": null
    }
}'
Response Response Example
{
    "schedule_record": {
        "id": "25e9eb8e-f0af-476a-8cac-bf3a8c07f7f6",
        "mandate_id": "cbbc95e8-58d0-4f32-a346-53b93c02bb1b",
        "currency": "GBP",
        "total_amount": 15000,
        "instalments": [
            {
                "amount": 7500,
                "due_date": "2027-01-24",
                "payment_request_id": "3a345186-ff5e-413e-b1ae-6cbc2dc5bd1c"
            },
            {
                "amount": 7500,
                "due_date": "2027-02-24",
                "payment_request_id": null
            }
        ],
        "schedule_status": "Provisioning",
        "metadata": null
    }
}
Previous
Schedules
Next
Cancel an existing schedule